import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  filename: z.string(),
  originalName: z.string(),
  mimeType: z.string(),
  fileSize: z.bigint(),
  filePath: z.string(),
  uploadedAt: z.coerce.date().optional(),
  updatedAt: z.coerce.date().optional()
}).strict();
export const PatientDocumentCreateWithoutPatientInputObjectSchema: z.ZodType<Prisma.PatientDocumentCreateWithoutPatientInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientDocumentCreateWithoutPatientInput>;
export const PatientDocumentCreateWithoutPatientInputObjectZodSchema = makeSchema();
